# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl


%define name    DVDRipOMatic
%define version 0.95
%define release 1.2007mcnl
%define summary Translate a movie from DVD to XviD
%define section Multimedia/Video
%define title   %{name}

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor: 	Mandrivaclub.nl
URL: 		http://dvdripomatic.sourceforge.net/
License:        GPL
Group:          Video

BuildArch:  	noarch

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
Requires:  	kdewebdev-kommander mencoder mplayer transcode kdebase-konsole

%description
DVD Rip-O-Matic is a simple DVD-to-XviD ripping application developed by Dik Takken. 
The wizard was designed to be very easy to use; it automatically detects the optimal 
settings for you. It should also produce very high quality AVI files, even if you have 
no idea what the settings mean and just use it in the next-next-next-finish way.


%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build 

%install

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/dvdripomagic
#!/bin/sh
exec kmdr-executor %{_datadir}/apps/%{name}/DVDRipOMatic.kmdr
exit 0
EOF

mkdir -p %{buildroot}/%{_datadir}/apps/%{name}
%__cp banner.png %{buildroot}/%{_datadir}/apps/%{name}/
%__cp DVDRipOMatic.kmdr %{buildroot}/%{_datadir}/apps/%{name}/
%__cp DVDScan %{buildroot}/%{_datadir}/apps/%{name}/


# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="dvdripomagic" \
needs="X11" \
icon="video_section.png" \
section="%section" \
title="%title" \
longtitle="%summary"
EOF

mkdir -p %buildroot%{_datadir}/kde/applications
cat > %buildroot%{_datadir}/kde/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=DVDRipOMatic
Comment=%{summary}
Exec=dvdripomagic
Icon=video_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;X-MandrivaLinux-Multimedia-Video
EOF


%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README Changelog
%attr(755,root,root)%{_bindir}/dvdripomagic
%{_datadir}/kde/applications/%{name}.desktop
%{_menudir}/%{name}
%attr(644,root,root) %{_datadir}/apps/%{name}/*


%changelog 
*Thu Dec 15 2005 Marco Meijer <marco@mandrivaclub.nl> 0.94-1.2006mcnl
new version
2007 rebuild

*Thu Dec 15 2005 Marco Meijer <marco@mandrivaclub.nl> 0.94-1.2006mcnl
first mandrivaclub.nl version



